Criar funcionários
curl --request POST \
--url https://api-hml.ponto-on.com/funcionarios \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cargo": "Desenvolvedor Junior",
"cpf": "123.123.123-20",
"dataNascimento": "14/05/1996",
"email": "teste@funcionario.com",
"empresaId": 2,
"escalaTrabalhoId": 1,
"nome": "Leticia Ferreira de Lima",
"password": "123456789",
"telefone": "31996745309"
}
'import requests
url = "https://api-hml.ponto-on.com/funcionarios"
payload = {
"cargo": "Desenvolvedor Junior",
"cpf": "123.123.123-20",
"dataNascimento": "14/05/1996",
"email": "teste@funcionario.com",
"empresaId": 2,
"escalaTrabalhoId": 1,
"nome": "Leticia Ferreira de Lima",
"password": "123456789",
"telefone": "31996745309"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cargo: 'Desenvolvedor Junior',
cpf: '123.123.123-20',
dataNascimento: '14/05/1996',
email: 'teste@funcionario.com',
empresaId: 2,
escalaTrabalhoId: 1,
nome: 'Leticia Ferreira de Lima',
password: '123456789',
telefone: '31996745309'
})
};
fetch('https://api-hml.ponto-on.com/funcionarios', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cargo": "Desenvolvedor Junior",
"cpf": "123.123.123-20",
"dataNascimento": "14/05/1996",
"email": "teste@funcionario.com",
"empresaId": 2,
"escalaTrabalhoId": 1,
"nome": "Leticia Ferreira de Lima",
"password": "alsdkjalksjdo@8123iasjdoaisjdoi",
"telefone": "31996745309"
}Endpoint para empresas
Criar funcionários
Criar funcionários
POST
/
funcionarios
Criar funcionários
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"Desenvolvedor Junior"
Example:
"123.123.123-20"
Example:
"14/05/1996"
Example:
"teste@funcionario.com"
Example:
2
Example:
1
Example:
"Leticia Ferreira de Lima"
Example:
"123456789"
Example:
"31996745309"
Response
200 - application/json
Criar funcionários
Example:
"Desenvolvedor Junior"
Example:
"123.123.123-20"
Example:
"14/05/1996"
Example:
"teste@funcionario.com"
Example:
2
Example:
1
Example:
"Leticia Ferreira de Lima"
Example:
"alsdkjalksjdo@8123iasjdoaisjdoi"
Example:
"31996745309"